"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MqttRecordSerializer = void 0;
const record_builders_1 = require("../record-builders");
class MqttRecordSerializer {
    serialize(packet) {
        if ((packet === null || packet === void 0 ? void 0 : packet.data) &&
            typeof packet.data === 'object' &&
            packet.data instanceof record_builders_1.MqttRecord) {
            const record = packet.data;
            return Object.assign(Object.assign({}, packet), { data: record.data, options: record.options });
        }
        return packet;
    }
}
exports.MqttRecordSerializer = MqttRecordSerializer;
